Package ru.yandex.clickhouse

## Interface ClickHouseStatement

All Superinterfaces:
  `AutoCloseable`, `Statement`, `Wrapper`

All Known Subinterfaces:
  `ClickHousePreparedStatement`

All Known Implementing Classes:
  `ClickHousePreparedStatementImpl`, `ClickHouseStatementImpl`

    public interface ClickHouseStatement
    extends Statement

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`ResultSet` `executeQuery​(String sql, Map<ClickHouseQueryParam,​String> additionalDBParams)`
`ResultSet` `executeQuery​(String sql, Map<ClickHouseQueryParam,​String> additionalDBParams, List<ClickHouseExternalData> externalData)`
`ResultSet` `executeQuery​(String sql, Map<ClickHouseQueryParam,​String> additionalDBParams, List<ClickHouseExternalData> externalData, Map<String,​String> additionalRequestParams)`
`ClickHouseResponse` `executeQueryClickhouseResponse​(String sql)`
`ClickHouseResponse` `executeQueryClickhouseResponse​(String sql, Map<ClickHouseQueryParam,​String> additionalDBParams)`
`ClickHouseResponse` `executeQueryClickhouseResponse​(String sql, Map<ClickHouseQueryParam,​String> additionalDBParams, Map<String,​String> additionalRequestParams)`
`ClickHouseRowBinaryInputStream` `executeQueryClickhouseRowBinaryStream​(String sql)`
`ClickHouseRowBinaryInputStream` `executeQueryClickhouseRowBinaryStream​(String sql, Map<ClickHouseQueryParam,​String> additionalDBParams)`
`ClickHouseRowBinaryInputStream` `executeQueryClickhouseRowBinaryStream​(String sql, Map<ClickHouseQueryParam,​String> additionalDBParams, Map<String,​String> additionalRequestParams)`
`ClickHouseResponseSummary` `getResponseSummary()`
`void` `sendCSVStream​(InputStream content, String table)` Deprecated.
`void` `sendCSVStream​(InputStream content, String table, Map<ClickHouseQueryParam,​String> additionalDBParams)` Deprecated.
`void` `sendNativeStream​(String sql, Map<ClickHouseQueryParam,​String> additionalDBParams, ClickHouseStreamCallback callback)` Deprecated.
`void` `sendNativeStream​(String sql, ClickHouseStreamCallback callback)` Deprecated.
`void` `sendRowBinaryStream​(String sql, Map<ClickHouseQueryParam,​String> additionalDBParams, ClickHouseStreamCallback callback)` Deprecated.
`void` `sendRowBinaryStream​(String sql, ClickHouseStreamCallback callback)` Deprecated.
`void` `sendStream​(InputStream content, String table)` Deprecated.
`void` `sendStream​(InputStream content, String table, Map<ClickHouseQueryParam,​String> additionalDBParams)` Deprecated.
`void` `sendStreamSQL​(InputStream content, String sql)` Deprecated.
`void` `sendStreamSQL​(InputStream content, String sql, Map<ClickHouseQueryParam,​String> additionalDBParams)` Deprecated.
`Writer` `write()` Returns extended write-API, which simplifies uploading larger files or data streams.

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### executeQueryClickhouseResponse

    ClickHouseResponse executeQueryClickhouseResponse​(String sql)
                                               throws SQLException

Throws:
  `SQLException`

#### executeQueryClickhouseResponse

    ClickHouseResponse executeQueryClickhouseResponse​(String sql,
                                                      Map<ClickHouseQueryParam,​String> additionalDBParams)
                                               throws SQLException

Throws:
  `SQLException`

#### executeQueryClickhouseResponse

    ClickHouseResponse executeQueryClickhouseResponse​(String sql,
                                                      Map<ClickHouseQueryParam,​String> additionalDBParams,
                                                      Map<String,​String> additionalRequestParams)
                                               throws SQLException

Throws:
  `SQLException`

#### executeQueryClickhouseRowBinaryStream

    ClickHouseRowBinaryInputStream executeQueryClickhouseRowBinaryStream​(String sql)
                                                                  throws SQLException

Throws:
  `SQLException`

#### executeQueryClickhouseRowBinaryStream

    ClickHouseRowBinaryInputStream executeQueryClickhouseRowBinaryStream​(String sql,
                                                                         Map<ClickHouseQueryParam,​String> additionalDBParams)
                                                                  throws SQLException

Throws:
  `SQLException`

#### executeQueryClickhouseRowBinaryStream

    ClickHouseRowBinaryInputStream executeQueryClickhouseRowBinaryStream​(String sql,
                                                                         Map<ClickHouseQueryParam,​String> additionalDBParams,
                                                                         Map<String,​String> additionalRequestParams)
                                                                  throws SQLException

Throws:
  `SQLException`

#### executeQuery

    ResultSet executeQuery​(String sql,
                           Map<ClickHouseQueryParam,​String> additionalDBParams)
                    throws SQLException

Throws:
  `SQLException`

#### executeQuery

    ResultSet executeQuery​(String sql,
                           Map<ClickHouseQueryParam,​String> additionalDBParams,
                           List<ClickHouseExternalData> externalData)
                    throws SQLException

Throws:
  `SQLException`

#### executeQuery

    ResultSet executeQuery​(String sql,
                           Map<ClickHouseQueryParam,​String> additionalDBParams,
                           List<ClickHouseExternalData> externalData,
                           Map<String,​String> additionalRequestParams)
                    throws SQLException

Throws:
  `SQLException`

#### sendStream

    @Deprecated
    void sendStream​(InputStream content,
                    String table,
                    Map<ClickHouseQueryParam,​String> additionalDBParams)
             throws SQLException

Deprecated.

Throws:
  `SQLException`

#### sendStream

    @Deprecated
    void sendStream​(InputStream content,
                    String table)
             throws SQLException

Deprecated.

Throws:
  `SQLException`

#### sendRowBinaryStream

    @Deprecated
    void sendRowBinaryStream​(String sql,
                             Map<ClickHouseQueryParam,​String> additionalDBParams,
                             ClickHouseStreamCallback callback)
                      throws SQLException

Deprecated.

Throws:
  `SQLException`

#### sendRowBinaryStream

    @Deprecated
    void sendRowBinaryStream​(String sql,
                             ClickHouseStreamCallback callback)
                      throws SQLException

Deprecated.

Throws:
  `SQLException`

#### sendNativeStream

    @Deprecated
    void sendNativeStream​(String sql,
                          Map<ClickHouseQueryParam,​String> additionalDBParams,
                          ClickHouseStreamCallback callback)
                   throws SQLException

Deprecated.

Throws:
  `SQLException`

#### sendNativeStream

    @Deprecated
    void sendNativeStream​(String sql,
                          ClickHouseStreamCallback callback)
                   throws SQLException

Deprecated.

Throws:
  `SQLException`

#### sendCSVStream

    @Deprecated
    void sendCSVStream​(InputStream content,
                       String table,
                       Map<ClickHouseQueryParam,​String> additionalDBParams)
                throws SQLException

Deprecated.

Throws:
  `SQLException`

#### sendCSVStream

    @Deprecated
    void sendCSVStream​(InputStream content,
                       String table)
                throws SQLException

Deprecated.

Throws:
  `SQLException`

#### sendStreamSQL

    @Deprecated
    void sendStreamSQL​(InputStream content,
                       String sql,
                       Map<ClickHouseQueryParam,​String> additionalDBParams)
                throws SQLException

Deprecated.

Throws:
  `SQLException`

#### sendStreamSQL

    @Deprecated
    void sendStreamSQL​(InputStream content,
                       String sql)
                throws SQLException

Deprecated.

Throws:
  `SQLException`

#### write

    Writer write()

Returns extended write-API, which simplifies uploading larger files or data streams.

Returns:
  a new `Writer` builder object which can be used to construct a request to the server

#### getResponseSummary

    ClickHouseResponseSummary getResponseSummary()